Bug 4535 - (noisy!) warning message from memcpy macro.
Summary: (noisy!) warning message from memcpy macro.
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: glibc (Show other bugs)
(Show other bugs)
Version: 1.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-08-15 16:54 UTC by Jeff Johnson
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-08-16 18:55:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jeff Johnson 1999-08-15 16:54:54 UTC
gcc -pipe -O2 -D__USE_BSD_SIGNAL -Wall -W -Wpointer-arith
-Wbad-function-cast -Wcast-qual -Wstrict-prototypes
-Wmissing-prototypes -Wmissing-declarations -Wnested-externs
-Winline -Wcast-align -D_GNU_SOURCE=1 -O2 -g -DUSE_PAM
-DGNU_LIBC -D_GNU_SOURCE logwtmp.c -c
/usr/include/bits/string2.h: In function `__mempcpy_small':
In file included from /usr/include/string.h:346,
                 from logwtmp.c:34:
/usr/include/bits/string2.h:363: warning: pointer of type
`void *' used in arithmetic

Comment 1 Cristian Gafton 1999-08-16 18:55:59 UTC
Fixed in glibc-2.1.2-5 and later


Note You need to log in before you can comment on or make changes to this bug.